<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$mid = $mysqli->escape_string(utf8_decode($_GET["id"]));
	if($token == '' && isset($_SESSION["usuario"])){ $token = $_SESSION["usuario"]["api_token"]; $_GET["token"] = $_SESSION["usuario"]["api_token"]; }

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('39', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para gerenciar limites de partidas.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	// Pesquisa
	$ret = array();
	$sql = $mysqli->query("SELECT * FROM limites WHERE lim_jogo_id = '$mid' ORDER BY lim_id DESC LIMIT 1");
	if(!$sql){ $ret['error'] = 'ERRO. '.$mysqli->error; $ret['status'] = 'error'; $ret['status_code'] = 'dbError'; finishJSONRequest($ret); }
	while ($j = $sql->fetch_assoc()) {
		$ret['id'] = $j["lim_id"];
		$ret['match_id'] = ($j["lim_jogo_id"]);
		$ret['maxbet'] = formataReal($j["lim_maxbet"]);
		$ret['maxprice'] = formataReal($j["lim_maxprice"]);
	}

	echo json_encode($ret);
?>